Subject: bug#11529: redoing gnulib import to avoid 8+3 glitches

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 May 2012 20:56:25 +0300

> Date: Sun, 20 May 2012 20:12:53 -0700
> From: Paul Eggert <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>
> 
> --- msdos/INSTALL	2012-01-19 07:21:25 +0000
> +++ msdos/INSTALL	2012-05-21 03:00:32 +0000
> @@ -73,6 +73,10 @@
>  67-character limit on the file-name length imposed by DOS filesystems.
>  When prompted by `djtar' for a different name for these files, just
>  press [Enter] to skip them: they are not needed for the DJGPP build.
> +Similarly, unpacking complains that the file names m4/gnulib-comp.m4
> +and m4/gnulib-common.m4 clash when truncated to DOS 8.3 limits; when
> +prompted by 'djtar' for an alternate name for m4/gnulib-comp.m4,
> +choose the name m4/gl-comp.m4.
>  
>  If you want to print international characters, install the intlfonts
>  distribution.  For this, create a directory called `fonts' under the
> 
> === modified file 'msdos/sedlibcf.inp'
> --- msdos/sedlibcf.inp	2012-01-05 09:46:05 +0000
> +++ msdos/sedlibcf.inp	2012-05-21 03:00:32 +0000
> @@ -19,4 +19,5 @@
>  #
>  # ----------------------------------------------------------------------
>  s/c++defs/cxxdefs/g
> +s/gnulib-comp\.m4/gl-comp.m4/g
>  s/\([a-zA-Z0-9_]*\)\.in\.h/\1.in-h/g

Thanks, but I'd rather we don't go that way.  We've been through this
before: this cure is worse than the disease, certainly for me.  The
one package where I actually tried that (GDB) proved to me that this
way lies madness.

Is this the best that can be done?  Could the offending file be
renamed in gnulib in some way that eliminates the problem?

If not, just leave the file at its original name, without any changes
to MS-DOS specific files, and I will find my own solution that will
not bother anyone but me.